v1.0
get
/ec-site-svc/rest/v1.0/tenantsite/{associationType}/associations
Get all valid associations by Association Type. Associations are marked valid. if both associated entities are in active status and have at least one common mode between them.
Request
Path Parameters
-
associationType(required): string
Association type in the request. Allowed values: INVESTIGATOR_INSTITUTION (investigator linked to institution), DEPOT_INSTITUTION (depot linked to institution), LAB_INSTITUTION (lab linked to institution).Example:
INVESTIGATOR_INSTITUTION
Query Parameters
-
limit: integer(int32)
Maximum number of rows to return. Only non-negative integers are accepted.
-
offset: integer(int32)
Zero-based row index to start pagination. Only non-negative integers are accepted.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : VALID_TENANT_SITES_DETAILS_RESPONSE_TITLE
Type:
objectTitle:
VALID_TENANT_SITES_DETAILS_RESPONSE_TITLEVALID_TENANT_SITES_DETAILS_RESPONSE_DESC
Show Source
-
associationId: string
(uuid)
-
institutionTimezone: string
Title:
VALID_TENANT_SITES_DETAILS_RESPONSE_TIMEZONE_TITLEVALID_TENANT_SITES_DETAILS_RESPONSE_TIMEZONE_DESCExample:America/New_York -
modes: array
modes
-
tenantFirstEntityId: string
(uuid)
-
tenantFirstEntityName: string
Title:
VALID_TENANT_SITES_DETAILS_RESPONSE_FIRST_ENTITY_NAME_TITLEVALID_TENANT_SITES_DETAILS_RESPONSE_FIRST_ENTITY_NAME_DESCExample:Acme Research -
tenantFirstEntityPrimaryCity: string
Title:
VALID_TENANT_SITES_DETAILS_RESPONSE_PRIMARY_CITY_TITLEVALID_TENANT_SITES_DETAILS_RESPONSE_PRIMARY_CITY_DESCExample:Metropolis -
tenantFirstEntityPrimaryCountry: string
(uuid)
-
tenantFirstEntityPrimaryState: string
(uuid)
-
tenantSecondEntityId: string
(uuid)
-
tenantSecondEntityName: string
Title:
VALID_TENANT_SITES_DETAILS_RESPONSE_SECOND_ENTITY_NAME_TITLEVALID_TENANT_SITES_DETAILS_RESPONSE_SECOND_ENTITY_NAME_DESCExample:Beta Institution
Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples